Bug 745529 - Bacula fd and sd systemd files have wrong restart specifier
Bacula fd and sd systemd files have wrong restart specifier
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-12 11:43 EDT by Sergio Pascual
Modified: 2012-07-18 05:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 05:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Changing restart-always to always in all service files (1.11 KB, patch)
2011-10-24 05:13 EDT, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Sergio Pascual 2011-10-12 11:43:19 EDT
Description of problem:
On boot I get

systemd[1]: [/lib/systemd/system/bacula-fd.service:15] Failed to parse service restart specifier, ignoring: restart-always
[   12.040871] systemd[1]: [/lib/systemd/system/bacula-sd.service:14] Failed to parse service restart specifier, ignoring: restart-always

Version-Release number of selected component (if applicable):
bacula-client-5.0.3-11.fc16.x86_64
bacula-storage-common-5.0.3-11.fc16.x86_64

Both files have this line:

Restart=restart-always

And it should be

Restart=always
Comment 1 Lukáš Nykrýn 2011-10-24 05:13:19 EDT
Created attachment 529758 [details]
Changing restart-always to always in all service files
Comment 2 Lukáš Nykrýn 2011-11-03 06:06:36 EDT
Fix commited to git -> http://lists.fedoraproject.org/pipermail/scm-commits/2011-November/679323.html -> modified
Comment 3 Fedora Update System 2011-11-03 09:46:50 EDT
bacula-5.0.3-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bacula-5.0.3-13.fc16
Comment 4 Fedora Update System 2011-11-03 17:52:17 EDT
Package bacula-5.0.3-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bacula-5.0.3-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15347
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-12-23 10:56:38 EST
bacula-5.0.3-16.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bacula-5.0.3-16.fc16

Note You need to log in before you can comment on or make changes to this bug.